Update license
curl --request PATCH \
--url https://api.helpdesk.com/v1/licenses/{licenseID} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"defaultTeamID": "f56caf69-3f05-4386-9567-fdc909d7ad77",
"defaultTemplateID": "6712e8a9-3401-4ed3-9662-944aa6be817f",
"settings": {
"companyName": "Weyland-Yutani",
"externalTickets": true,
"ticketThread": true,
"maxSubscriptionsPerSocket": 0,
"defaultMailboxDescription": "",
"maxChildTicketsPerTicket": 0,
"poweredByFooter": true
}
}
'import requests
url = "https://api.helpdesk.com/v1/licenses/{licenseID}"
payload = {
"defaultTeamID": "f56caf69-3f05-4386-9567-fdc909d7ad77",
"defaultTemplateID": "6712e8a9-3401-4ed3-9662-944aa6be817f",
"settings": {
"companyName": "Weyland-Yutani",
"externalTickets": True,
"ticketThread": True,
"maxSubscriptionsPerSocket": 0,
"defaultMailboxDescription": "",
"maxChildTicketsPerTicket": 0,
"poweredByFooter": True
}
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
defaultTeamID: 'f56caf69-3f05-4386-9567-fdc909d7ad77',
defaultTemplateID: '6712e8a9-3401-4ed3-9662-944aa6be817f',
settings: {
companyName: 'Weyland-Yutani',
externalTickets: true,
ticketThread: true,
maxSubscriptionsPerSocket: 0,
defaultMailboxDescription: '',
maxChildTicketsPerTicket: 0,
poweredByFooter: true
}
})
};
fetch('https://api.helpdesk.com/v1/licenses/{licenseID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ID": 13381337,
"createdAt": "2026-06-30T22:02:08.901Z",
"createdBy": "f56caf69-3f05-4386-9567-fdc909d7ad77",
"createdByType": "agent",
"updatedAt": "2026-06-30T22:02:08.901Z",
"updatedBy": "f56caf69-3f05-4386-9567-fdc909d7ad77",
"defaultTeamID": "f56caf69-3f05-4386-9567-fdc909d7ad77",
"defaultTemplateID": "6712e8a9-3401-4ed3-9662-944aa6be817f",
"flags": {
"defaultInboxUsed": true
},
"settings": {
"companyName": "Weyland-Yutani",
"externalTickets": true,
"ticketThread": true,
"maxSubscriptionsPerSocket": 0,
"defaultMailboxDescription": "",
"maxChildTicketsPerTicket": 0,
"poweredByFooter": true
},
"source": {
"utmSource": "",
"utmMedium": "",
"utmCampaign": "",
"utmContent": "",
"utmTerm": "",
"referrer": "",
"landingPage": "",
"sourceURL": "",
"sourceID": "",
"sourceType": ""
},
"detectedLanguages": [
"none"
]
}Licenses
Update license
Allows changing license settings:
- default team
- default template
- company name
PATCH
/
v1
/
licenses
/
{licenseID}
Update license
Authorizations
PersonalAccessTokenBearerAuth
Use your account ID as the username and your personal access token (PAT) as the password, or pass a Base64-encoded value directly in the Authorization header. For more information, see the personal access tokens guide.
Path Parameters
Body
application/json
Response
200 - application/json
Successful response.
Unique account identifier.
The time of creation.
The creator identifier.
The creator type.
Available options:
agent, client, system The time of last modification.
The modification author identifier.
The default team.
The default template ID.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
A list of detected languages in tickets.
Available options:
none, af, als, am, an, ar, arz, as, ast, av, az, azb, ba, bar, bcl, be, bg, bh, bn, bo, bpy, br, bs, bxr, ca, cbk, ce, ceb, ckb, co, cs, cv, cy, da, de, diq, dsb, dty, dv, el, eml, en, eo, es, et, eu, fa, fi, fr, frr, fy, ga, gd, gl, gn, gom, gu, gv, he, hi, hif, hr, hsb, ht, hu, hy, ia, id, ie, ilo, io, is, it, ja, jbo, jv, ka, kk, km, kn, ko, krc, ku, kv, kw, ky, la, lb, lez, li, lmo, lo, lrc, lt, lv, mai, mg, mhr, min, mk, ml, mn, mr, mrj, ms, mt, mwl, my, myv, mzn, nah, nap, nds, ne, new, nl, nn, no, oc, or, os, pa, pam, pfl, pl, pms, pnb, ps, pt, qu, rm, ro, ru, rue, sa, sah, sc, scn, sco, sd, sh, si, sk, sl, so, sq, sr, su, sv, sw, ta, te, tg, th, tk, tl, tr, tt, tyv, ug, uk, ur, uz, vec, vep, vi, vls, vo, wa, war, wuu, xal, xmf, yi, yo, yue, zh Was this page helpful?
⌘I